Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.util
Class JboToken

`java.lang.Object
oracle.jbo.server.util.JboToken`

public class JboToken
extends java.lang.Object

Version:
  INTERNAL

Field Summary
`static char[]` | `SPECIAL_CHARS`
`static char` | `TTYP_AMP`
`static char` | `TTYP_ASTERISK`
`static char` | `TTYP_AT`
`static char` | `TTYP_BACK_SLASH`
`static char` | `TTYP_BANG`
`static char` | `TTYP_BAR`
`static char` | `TTYP_CARET`
`static char` | `TTYP_COLON`
`static char` | `TTYP_COMMA`
`static char` | `TTYP_DOLLAR`
`static char` | `TTYP_DOT`
`static char` | `TTYP_EQUAL`
`static char` | `TTYP_GREATER_THAN`
`static char` | `TTYP_IDENT`
`static char` | `TTYP_LEFT_BRACKET`
`static char` | `TTYP_LEFT_CURLY`
`static char` | `TTYP_LEFT_PAREN`
`static char` | `TTYP_LESS_THAN`
`static char` | `TTYP_MINUS`
`static char` | `TTYP_NUMBER`
`static char` | `TTYP_PERCENT`
`static char` | `TTYP_PLUS`
`static char` | `TTYP_POUND`
`static char` | `TTYP_QUEST`
`static char` | `TTYP_RIGHT_BRACKET`
`static char` | `TTYP_RIGHT_CURLY`
`static char` | `TTYP_RIGHT_PAREN`
`static char` | `TTYP_SEMI`
`static char` | `TTYP_SLASH`
`static char` | `TTYP_STR`
`static char` | `TTYP_TILDA`
`static char` | `TTYP_UNKNOWN`

Method Summary
`int` | `getIdentType()`
`int` | `getOffset()`
`java.lang.String` | `getString()`
`char` | `getType()`
`static JboToken` | `identToken(java.lang.String s, int off, int iTyp)`
`static JboToken` | `numberToken(java.lang.String s, int off)`
`static JboToken` | `specialCharOrUnknownToken(char c, int off)`
`static JboToken` | `stringToken(java.lang.String s, int off)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TTYP_UNKNOWN

    public static final char TTYP_UNKNOWN

### TTYP_STR

    public static final char TTYP_STR

### TTYP_IDENT

    public static final char TTYP_IDENT

### TTYP_NUMBER

    public static final char TTYP_NUMBER

### TTYP_TILDA

    public static final char TTYP_TILDA

### TTYP_BANG

    public static final char TTYP_BANG

### TTYP_AT

    public static final char TTYP_AT

### TTYP_POUND

    public static final char TTYP_POUND

### TTYP_DOLLAR

    public static final char TTYP_DOLLAR

### TTYP_PERCENT

    public static final char TTYP_PERCENT

### TTYP_CARET

    public static final char TTYP_CARET

### TTYP_AMP

    public static final char TTYP_AMP

### TTYP_ASTERISK

    public static final char TTYP_ASTERISK

### TTYP_MINUS

    public static final char TTYP_MINUS

### TTYP_EQUAL

    public static final char TTYP_EQUAL

### TTYP_PLUS

    public static final char TTYP_PLUS

### TTYP_BACK_SLASH

    public static final char TTYP_BACK_SLASH

### TTYP_BAR

    public static final char TTYP_BAR

### TTYP_SEMI

    public static final char TTYP_SEMI

### TTYP_COLON

    public static final char TTYP_COLON

### TTYP_COMMA

    public static final char TTYP_COMMA

### TTYP_DOT

    public static final char TTYP_DOT

### TTYP_SLASH

    public static final char TTYP_SLASH

### TTYP_QUEST

    public static final char TTYP_QUEST

### TTYP_LESS_THAN

    public static final char TTYP_LESS_THAN

### TTYP_GREATER_THAN

    public static final char TTYP_GREATER_THAN

### TTYP_LEFT_PAREN

    public static final char TTYP_LEFT_PAREN

### TTYP_RIGHT_PAREN

    public static final char TTYP_RIGHT_PAREN

### TTYP_LEFT_CURLY

    public static final char TTYP_LEFT_CURLY

### TTYP_RIGHT_CURLY

    public static final char TTYP_RIGHT_CURLY

### TTYP_LEFT_BRACKET

    public static final char TTYP_LEFT_BRACKET

### TTYP_RIGHT_BRACKET

    public static final char TTYP_RIGHT_BRACKET

### SPECIAL_CHARS

    public static final char[] SPECIAL_CHARS

Method Detail

### stringToken

    public static JboToken stringToken(java.lang.String s,
                                       int off)

### identToken

    public static JboToken identToken(java.lang.String s,
                                      int off,
                                      int iTyp)

### numberToken

    public static JboToken numberToken(java.lang.String s,
                                       int off)

### specialCharOrUnknownToken

    public static JboToken specialCharOrUnknownToken(char c,
                                                     int off)

### getType

    public char getType()

### getString

    public java.lang.String getString()

### getOffset

    public int getOffset()

### getIdentType

    public int getIdentType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.